Jump to content
  • Join-Us

    https://metin2.dev is the 1st international community on Metin2 development. Join us to develop your skills and share your knowledge with the community, respectful and ethical forum.

  • 0

Shining System Sani Reworked


Guest Anonymous

Question

Guest Anonymous

Hey, I'm here asking for help. I added a Shining System from this forum and everything works very well.

The problem only arises with the costumes of the weapons. It has no effect after adding it.

Armor, Costumes, weapons all work. 

 

Thanks 🙂

 

 

 

Link to comment
Share on other sites

9 answers to this question

Recommended Posts

  • 0
11 hours ago, Guest Anonymous said:

Hey, I'm here asking for help. I added a Shining System from this forum and everything works very well.

The problem only arises with the costumes of the weapons. It has no effect after adding it.

Armor, Costumes, weapons all work. 

 

Thanks 🙂

 

 

 

You need weapon costume with value3.. So exist 2 versions..

Link to comment
Share on other sites

  • 0

Just exist two versions of weapon costume.. One using in item_proto value3 column for subtype weapons.. So shining Sanii works only with this version.. You can check it in InstanceBase.cpp..

Touch google with: Weapon Costume System Value3

 

Link to comment
Share on other sites

  • 0
1 minute ago, Cunoo said:

Just exist two versions of weapon costume.. One using in item_proto value3 column for subtype weapons.. So shining Sanii works only with this version.. You can check it in InstanceBase.cpp..

Touch google with: Weapon Costume System Value3

 

In instancebase.cpp i have only  CItemData::COSTUME_WEAPON 

 

 

there is no such as COSTUME_WEAPON_SWORD

Link to comment
Share on other sites

  • 0
16 hours ago, BoSS said:

In instancebase.cpp i have only  CItemData::COSTUME_WEAPON 

 

 

there is no such as COSTUME_WEAPON_SWORD

COSTUME_TYPE_WEAPON.. So idk if someone help you, if you don't know whitch version you using.. Just reinstall your costume weapon with requirement version.. Sanii don't work with old costume weapon without value3.. What is hard understanding this? I'm 100% sure you don't have value3 costume weapon system..

Link to comment
Share on other sites

  • 0
28 minutes ago, Cunoo said:

COSTUME_TYPE_WEAPON.. So idk if someone help you, if you don't know whitch version you using.. Just reinstall your costume weapon with requirement version.. Sanii don't work with old costume weapon without value3.. What is hard understanding this? I'm 100% sure you don't have value3 costume weapon system..

 

before you start helping, check out this system and see that this version doesn't require value3 🙂

  • Confused 1
Link to comment
Share on other sites

  • 0
On 7/25/2021 at 1:47 PM, BoSS said:

 

before you start helping, check out this system and see that this version doesn't require value3 🙂

Version on this forum yes.. Open InstanceBase and check it!

  • Metin2 Dev 1
Link to comment
Share on other sites

Before asking for a new question, do some research on the forum. The answer to your question might probably exists already. When asking for help, do not forget to say what fixed your issue when you have solved it. This may help a member who have the same issue! Also, you can set an answer as the best on the left of each post.

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now


×
×
  • Create New...

Important Information

Terms of Use / Privacy Policy / Guidelines / We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.